package public

import (
	"testing"
)

func TestKnowledgeBaseTool_Execute(t *testing.T) {

	// kb := NewKnowledgeBaseTool(config.ToolConfig{})
	// channel := make(chan entitys.ResponseData)
	// err := kb.Execute(channel, nil, nil)
	// if err != nil {
	// 	t.Errorf("Execute() error = %v", err)
	// }

}

// session
func TestKnowledgeBaseTool_Submit(t *testing.T) {

	apiKey := "sk-EfnUANKMj3DUOiEPJZ5xS8SGMsbO6be_qYAg9uZ8T3zyoFM-"
	baseId := "kb-00000001"
	host := "http://117.175.169.61:10000"

	sessionId, err := GetKnowledgeBaseSession(host, baseId, apiKey)
	if err != nil {
		t.Errorf("GetKnowledgeBaseSession() error = %v", err)
	}

	t.Log("sessionId:", sessionId)

}
